#709 closed defect (fixed)

putenv with environ==NULL causes access fault

Reported by: Eric Norum Owned by: Joel Sherrill
Priority: normal Milestone: 4.9
Component: unspecified Version: unknown
Severity: major Keywords:
Cc: bugs@…, norume@… Blocked By:
Blocking:

Description

Calling putenv causes access fault (reference to location 0).
newlib putenv doesn't appear to work when environ==NULL.

Release:
CVS trunk, newlib-1.11.0, rtems newlib patch 20030614

Environment:
Likely all host/target combinations

Change History (3)

comment:1 Changed on Oct 26, 2004 at 1:21:14 PM by Eric Norum

Status: assignedwaiting

comment:2 Changed on Aug 5, 2008 at 3:55:30 PM by Joel Sherrill

Milestone: 4.9
rep_platform: All
Resolution: fixed
Status: assignedclosed

Last comment says patch committed. Closing.

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.